自定义域名
GET https://scanflick.com/api/domains/available
curl --request GET \
--url 'https://scanflick.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详细信息 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 按哪个字段搜索。允许的值为:host。 |
| datetime_field | 可选 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选 字符串 | 从此日期时间开始过滤结果。格式为 Y-m-d H:i:s。 |
| datetime_end | 可选 字符串 | 过滤至此日期时间。格式为 Y-m-d H:i:s。 |
| order_by | 可选 字符串 | 按哪个字段排序结果。允许的值为:domain_id, datetime, last_datetime, host。 |
| order_type | 可选 字符串 | 结果排序方式。允许的值:ASC 表示升序,DESC 表示降序。 |
| page | 可选 整数 | 要获取结果的页码。默认值为 1。 |
| results_per_page | 可选 整数 | 每页返回多少条结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认值为 25。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": 1,
"scheme": "Example",
"host": "Example",
"url": "https://example.com/",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-01 01:12:00"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://scanflick.com/api/domains/available?page=1",
"last": "https://scanflick.com/api/domains/available?page=1",
"next": null,
"prev": null,
"self": "https://scanflick.com/api/domains/available?page=1"
}
}
GET https://scanflick.com/api/domains/
curl --request GET \
--url 'https://scanflick.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详细信息 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 按哪个字段搜索。允许的值为:host。 |
| is_enabled | 可选 布尔值 | |
| datetime_field | 可选 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选 字符串 | 从此日期时间开始过滤结果。格式为 Y-m-d H:i:s。 |
| datetime_end | 可选 字符串 | 过滤至此日期时间。格式为 Y-m-d H:i:s。 |
| order_by | 可选 字符串 | 按哪个字段排序结果。允许的值为:domain_id, datetime, last_datetime, host。 |
| order_type | 可选 字符串 | 结果排序方式。允许的值:ASC 表示升序,DESC 表示降序。 |
| page | 可选 整数 | 要获取结果的页码。默认值为 1。 |
| results_per_page | 可选 整数 | 每页返回多少条结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认值为 25。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-01 01:12:00"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://scanflick.com/api/domains?page=1",
"last": "https://scanflick.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://scanflick.com/api/domains?page=1"
}
}
GET https://scanflick.com/api/domains/{domain_id}
curl --request GET \
--url 'https://scanflick.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-01 01:12:00"
}
}
POST https://scanflick.com/api/domains
| 参数 | 详细信息 | 描述 |
|---|---|---|
| host | 必需 字符串 | - |
| custom_index_url | 可选 字符串 | - |
| custom_not_found_url | 可选 字符串 | - |
| scheme | 可选 字符串 | - |
curl --request POST \
--url 'https://scanflick.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://scanflick.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-01 01:12:00"
}
}
POST https://scanflick.com/api/domains/{domain_id}
| 参数 | 详细信息 | 描述 |
|---|---|---|
| host | 可选 字符串 | - |
| custom_index_url | 可选 字符串 | - |
| custom_not_found_url | 可选 字符串 | - |
| scheme | 可选 字符串 | - |
curl --request POST \
--url 'https://scanflick.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://scanflick.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-01 01:12:00"
}
}
DELETE https://scanflick.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://scanflick.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \